import request from '@/utils/request'

// 查询税务处罚-责令整改列表
export function listAction(query) {
    return request({
        url: '/crmCorrectiveAction/findByPage',
        method: 'get',
        params: query
    })
}

// 查询税务处罚-责令整改详细
export function getAction(id) {
    return request({
        url: '/crmCorrectiveAction/' + id,
        method: 'get'
    })
}

// 新增税务处罚-责令整改
export function addAction(data) {
    return request({
        url: '/crmCorrectiveAction',
        method: 'post',
        data: data
    })
}

// 修改税务处罚-责令整改
export function updateAction(data) {
    return request({
        url: '/crmCorrectiveAction',
        method: 'put',
        data: data
    })
}

// 删除税务处罚-责令整改
export function delAction(id) {
    return request({
        url: '/crmCorrectiveAction/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delActionBatch(ids) {
    console.log(ids);
    return request.post('/crmCorrectiveAction/delete',ids)
}